@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
html {
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Root Properties start */
:root {
  --main-color: #131921;
  --main-link: #fff;
  --hover-link: #fc6767;
  --secondary-color: #232f3e;
  --main-font: "Inter", sans-serif;
  --body-background-color: #ffffff;
  --dark-element: #f0f0f0;
  --black: #000;
  --white: #fff;
  --boxShadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  --mainBlue: #2a55e5;
  --light-blue: #2874f0;
  --search-icon: #828282;
  --placeholder-back: #e8f0fe;
  --primary: #0170b4;
  --bg-blue: rgba(1, 112, 180, 0.08);
}

/* Root Properties end */

/* media */

@media screen and(min-width : 1200px) {
  .container {
    width: 1148px !important;
  }
  .mobile-navbar {
    display: none;
  }
}
@media screen and (max-width: 984px) {
  .navv {
    display: none;
  }
  .mobile-navbar {
    display: block;
    position: fixed;
    bottom: 0;
    width: 100%;

    overflow: hidden;
  }
  .mobile-navbar {
    display: inline;
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #fff;
    box-shadow: rgba(99, 99, 99, 0.3) 0px 2px 8px 0px;
  }
  .mobile-nav {
    display: flex;
    background-color: transparent;
    align-items: center;
    justify-content: space-evenly;
    height: 80px;
    width: 100%;
  }
  #home,
  #search,
  #my-items,
  #profile,
  #product-menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
  }

  #product-menu {
    width: 65px;
    height: 65px;
    background-color: #fff;

    border-radius: 50%;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    transition: ease-in-out all 0.5s;
  }

  .product-menu {
    width: 65px;
    height: 65px;
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    transition: ease-in-out all 0.5s;
  }
  .product-menu:hover {
    transform: translateY(-5px);
  }
  .footer {
    display: flex;
    margin-bottom: 40px;
  }

  .product_cards {
    margin-bottom: 120px;
    row-gap: 120px;
    justify-content: center;
  }
  .product_cards .product {
    width: 130px;
    height: 100px;
    margin-bottom: 40px;
  }
  .product img {
    width: 100px;
    height: 80px;
  }
  .load_more {
    margin-top: 50px;
    margin-bottom: 10px;
  }
  .load {
    font-size: 10px;
    padding: 5px 50px;
  }
  /* skeleton loading */
  .skeleton-product {
    width: 130px;
    height: 100px;
    padding: 10px;
    background-color: #fff;
    border-radius: 0.7rem;
  }
  .skeleton {
    opacity: 0.7;
    animation: skeleton-loading 1s linear infinite alternate;
  }
  .skeleton_img {
    width: 100px;
    height: 80px;
    margin-left: 4px;
    border-radius: 4px;
  }
  .sekeleton_text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 8px;
    margin-top: 10px;
    margin-left: 4px;
    border-radius: 3px;
  }
  .sekeleton_text:last-child {
    width: 80%;
    margin-bottom: 0%;
  }
  .navv .container .nav-middle {
    height: 150px;
    gap: 0px;
  }
  .post {
    justify-content: center;
  }
  /* search start */
  .mobile-search {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    text-align: center;
    animation: searchBar 0.5s ease-in-out;
  }
  #mob-search {
    padding: 10px 15px;
    width: 80%;
    border-radius: 10px;
    border: 1px solid #232f3e;
  }
  #mob-search:focus {
    outline: none;
  }
  #mobile-search-icon {
    padding: 10px 15px;
    background: #1e1e1e;
    color: #fff;
    border: none;
    border-radius: 10px;
    cursor: pointer;
  }
  .material-symbols-outlined {
    color: #0170b4 !important;
  }
  /* animations start */

  @keyframes searchBar {
    0% {
      transform: scale(0);
    }
    100% {
      transform: scale(1);
    }
  }
  /* animations end */

  .hide {
    display: none !important;
  }

  .visible {
    display: block !important;
    transition: 0.5s all ease-in-out;
  }

  /* search end */
}

/*  Global Css Start */

.hidden {
  display: none;
}

/*  Global Css End */

/* mobile css start */

@media screen and (max-width: 768px) {
  .navv {
    display: none;
  }
  .mobile-navbar {
    display: inline;
    position: fixed;
    bottom: 0;
    width: 100%;
    background: #fff;
    box-shadow: rgba(99, 99, 99, 0.3) 0px 2px 8px 0px;
  }
  .mobile-nav {
    display: flex;
    background-color: transparent;
    align-items: center;
    justify-content: space-evenly;
    height: 80px;
    width: 100%;
  }
  .material-symbols-outlined {
    color: #0170b4 !important;
  }

  #home,
  #search,
  #my-items,
  #profile,
  #product-menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    cursor: pointer;
  }

  #product-menu {
    width: 65px;
    height: 65px;
    background-color: #fff;

    border-radius: 50%;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    transition: ease-in-out all 0.5s;
  }
  #product-menu:hover {
    transform: translateY(-5px);
  }

  /* search start */
  .mobile-search {
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding: 10px;
    text-align: center;
    animation: searchBar 0.5s ease-in-out;
  }
  #mob-search {
    padding: 10px 15px;
    width: 80%;
    border-radius: 10px;
    border: 1px solid #232f3e;
  }
  #mob-search:focus {
    outline: none;
  }
  #mobile-search-icon {
    padding: 10px 15px;
    background: #1e1e1e;
    color: #fff;
    border: none;
    border-radius: 10px;
    cursor: pointer;
  }

  /* search end */

  .footer-box {
    width: 40% !important;
  }

  .hide {
    display: none;
  }

  .visible {
    display: block;
    transition: 0.5s all ease-in-out;
  }

  /* animations start */

  @keyframes searchBar {
    0% {
      transform: scale(0);
    }
    100% {
      transform: scale(1);
    }
  }
  /* animations end */

  /* single product page start */
  .single_top_section {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .single_left,
  .single_middle,
  .single_right {
    width: 90%;
    margin-bottom: 10px;
  }
  .single_middle .singleProduct_title {
    position: absolute;
  }
  /* single product page end */

  /* login page start */
  .left_login {
    display: none;
  }
  .right_login {
    width: 100%;
  }
  .right_login .login_placeholder {
    width: 250px;
  }
  .terms_condition {
    font-size: 10px;
  }
  .signup_text {
    font-size: 12px;
  }

  .otp_button {
    position: absolute;

    display: flex;
    justify-self: center;
    padding: 15px 100px 15px 100px;
    background: var(--hover-link);
    border: none;
    color: #fff;
    font-weight: 600;
    letter-spacing: 1.5px;
    font-family: "inter";
    cursor: pointer;
  }
  .terms {
    font-size: 10px;
  }
  .signup_link {
    font-size: 10px;
  }
  /* login page end */

  /* signup page start */
  .left_signup {
    display: none;
  }
  .right_signup {
    width: 100%;
  }

  .right_signup .signup_placeholder {
    width: 250px;
  }
  .right_signup .terms_condition {
    font-size: 10px;
  }
  .otp_button {
    padding: 15px 100px 15px 100px;
  }
  .terms {
    font-size: 10px;
  }
  /* signup page end */

  /* admin page start */
  .mobile-admin {
    display: block;
    position: relative;
    background: #334352;
    text-align: center;
    height: 100%;
    width: 50px;
  }
  .admin {
    width: 100%;
  }
  .admin_left {
    display: none;
  }
  .admin_right {
    width: 100%;
    padding-bottom: 150px;
  }

  .admin-open,
  .admin-close {
    margin-top: 10px;
    color: #fff !important;
    cursor: pointer;
  }
  .manage_banner .category_type {
    display: none;
  }
  .manage_card .category_name {
    display: none;
  }
  .danger {
    color: #fff !important;
  }
  .top_viewed_title h2 {
    font-size: 14px;
  }
  .tool_name h3 {
    font-size: 10px;
  }
  .users .user_title h3,
  .tools .tool_title h3 {
    font-size: 10px;
  }
  .admin_right .welcome_admin_msg {
    font-size: 16px;
  }
  .admin_right .wel_msg {
    font-size: 14px;
  }

  .insert_product_title,
  .insert_category_title {
    font-size: 16px;
  }
  .title {
    font-size: 14px;
  }
  .form_fields input {
    padding: 4px;
  }
  .form_fields .image_label {
    padding: 20px;
  }
  .insert {
    font-size: 10px;
    padding: 5px;
  }
  /* left start */

  .open {
    transform: translateX(350px);
  }
  .mobile-admin_left {
    position: absolute;
    top: 0;
    left: -300px;
    display: flex;
    flex-direction: column;
    width: 240px;
    background: var(--left-bg);
    z-index: 1000;
    transition: all 0.5s ease-in-out;
  }

  .mobile-admin_title {
    text-align: center;
    font-family: "poppins";
    font-weight: 600;
    margin-top: 10px;
    font-size: 14px;
    color: #fff;
  }

  .mobile-admin_left .admin_list {
    display: flex;
    justify-content: center;
    margin-top: 40px;
  }

  .mobile-admin_left ul li {
    display: flex;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 10px;
  }

  .mobile-admin_left ul li:hover {
    background: var(--btn-bg);
  }

  .mobile-admin_left li a {
    display: flex;
    gap: 10px;
    color: #fff;
    font-size: 12px;
    font-family: "poppins";
    font-weight: 500;
    text-transform: capitalize;
  }

  .logout_main {
    position: absolute;
    display: flex;
    flex-direction: column;
    height: 200px;
    width: 450px;
    top: 0%;
    align-items: center;
    justify-content: center;
    z-index: 999;
    row-gap: 10px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    opacity: 0;
    pointer-events: none;
    transition: 0.5 ease-in-out;
  }

  .logOut-mobile {
    display: flex;
    gap: 10px;
    color: #fff;
    font-size: 12px;
    font-family: "poppins";
    font-weight: 500;
    text-transform: capitalize;
    cursor: pointer;
  }

  /* left end */
  /* admin page end */

  /* Hero section start */
  .categories {
    display: none;
  }
  .hero-slider {
    display: none;
  }
  .navigate .next,
  .prev {
    display: none;
  }

  /* mobile hero category start */

  .mobi-categories {
    position: fixed;
    top: 0;
    left: -450px;
    display: block;
    width: 50%;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    padding: 10px;
    background: #fff;
    transition: all 0.5s ease-in-out;
  }
  .categories-open {
    transform: translateX(450px);
  }

  .mobi-categories .mobi-category-title {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
    padding: 10px;
  }
  .mobi-category-title h4 {
    font-size: 16px;
  }

  .mobi-category-list .mobi-list {
    display: flex;
    align-items: center;
    gap: 10px;
    border-bottom: 1px solid #a09b9b6e;
    padding: 10px;
  }
  .mobi-category-list .mobi-list:hover {
    background: #a09b9b6e;
  }
  .list .cate-name h4 {
    font-size: 12px;
    font-weight: 400;
  }
  .mobi-category-list .mobi-cate-img img {
    height: 25px;
    width: 25px;
    border-radius: 50%;
  }
  .arrow {
    position: absolute;
    font-size: 14px !important;
    right: 20px;
    margin-top: -6px;
  }
  /* mobile hero category end */

  /* Hero section end */
}
/* mobile css end */
